package de.beyondsoft.ownchat.page.sharing;

import android.support.annotation.StringRes;

import java.util.ArrayList;

import de.beyondsoft.ownchat.model.Group;
import de.beyondsoft.ownchat.page.mvp.MVPView;

/**
 * Created by Lyndon on 03-Nov-2017.
 */

public interface SharingView extends MVPView {
    void setCallback(Callback setCallback);

    void showProgress();

    void hideProgress();

    void setGroups(ArrayList<Group> groups);

    void showError(@StringRes int message);

    interface Callback {
        void loadGroups();

        void loadGroupsFromDB();
    }
}
